Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: LXDE blokuje aktualizacje  (Przeczytany 1429 razy)

Offline tomangelo

  • Newbie
  • *
  • Wiadomości: 20
LXDE blokuje aktualizacje
« dnia: Luty 07, 2015, 04:53:38 pm »
Od pewnego czasu nie mogę zaktualizować systemu, zarówno przez upgrade jak i dist-upgrade.
Zaczęło się to kilka miesięcy temu, gdy po dist-upgrade psuły się zależności lxsession (usuwało lxsession-edit, co 'nie podobało się' pozostałym pakietom lxde), jednak cała reszta pakietów się instalowała. Po komendzie apt-get install -f felerny pakiet naprawiał się i wszystko działało. Od jakiegoś czasu jednak wszystko stoi, nawet zwykłe apt-get upgrade nie idzie, gdyż jest uszkodzony pakiet lxsession, a komenda apt-get install -f nie jest w stanie tego naprawić, zwraca tylko
Zostaną zainstalowane następujące dodatkowe pakiety:
  lxsession
Następujące pakiety zostaną zaktualizowane:
  lxsession
1 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 401 nieaktualizowanych. //trochę mi się już zaległości zrobiło :P
2 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 0 B/217 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 767 kB miejsca na dysku.
Kontynuować? [T/n]
Odczytywanie dzienników zmian... Zrobione
(Odczytywanie bazy danych ... 230548 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../lxsession_0.5.1-2_i386.deb ...
Rozpakowywanie pakietu lxsession (0.5.1-2) nad (0.4.9.2-1+siduction2) ...
dpkg: błąd przetwarzania archiwum /var/cache/apt/archives/lxsession_0.5.1-2_i386.deb (--unpack):
 próba nadpisania "/usr/share/locale/sr@latin/LC_MESSAGES/lxsession.mo", który istnieje także w pakiecie lxsession-data 0.4.9.2-1+siduction2
dpkg-deb: błąd: podproces wklej został zabity sygnałem (Przerwany potok)
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/lxsession_0.5.1-2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Natomiast dpkg --configure -a zwraca

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie pakietu lxsession-dbg:
 lxsession-dbg zależy od lxsession (= 0.5.1-2); jednakże:
  Wersją lxsession w systemie jest 0.4.9.2-1+siduction2.

dpkg: błąd przetwarzania pakietu lxsession-dbg (--configure):
 problemy z zależnościami - pozostawianie nieskonfigurowanego
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie pakietu lxde:
 lxde zależy od lxsession-edit; jednakże:
  Pakiet lxsession-edit nie jest zainstalowany.

dpkg: błąd przetwarzania pakietu lxde (--configure):
 problemy z zależnościami - pozostawianie nieskonfigurowanego
Wystąpiły błędy podczas przetwarzania:
 lxsession-dbg
 lxde

Zastanawiałem się nad formatem i reinstalacją systemu (jak dobrze pamiętam to było instalowane jako Sparky 3.2), ale może jest jeszcze szansa na naprawę metodą nie-Windowsową :P.

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1527
Odp: LXDE blokuje aktualizacje
« Odpowiedź #1 dnia: Luty 07, 2015, 06:57:24 pm »
Witaj
Oczywiście, że można.
1. Wyloguj się z pulpitu lxde
2. Odinstaluj wszystkie pakiety, które posiadają w nazwie lxde lub siduction
3. Odśwież listę pakietów:
apt-get update4. Zainstaluj aktualną wersję lxde z repozytorium.
5. Restart
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline tomangelo

  • Newbie
  • *
  • Wiadomości: 20
Odp: LXDE blokuje aktualizacje
« Odpowiedź #2 dnia: Luty 08, 2015, 12:22:51 am »
Odinstalować też nie mogę przez niespełnione zależności (próbowałem usunąć komendą apt-get remove lxde)

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1527
Odp: LXDE blokuje aktualizacje
« Odpowiedź #3 dnia: Luty 08, 2015, 12:41:58 pm »
Przeloguj się do openbox-a, uruchom synaptic. Jeśli nie ma go w menu, to uruchom terminal i z termiala odpal synaptic:
sudo synapticOdnajdź i zaznacz do usunięcia wszystkie pakiety z wyszukiwania lxde oraz lxsession.
Zaznacz również wszystkie do usunięcia z siduction w nazwie.
Usuń wszystkie za jednym zamachem i wszystkie ich zależności.
Następnie odśwież listę pakietów i zainstaluj nowe lxde.
Musi działać, jedynym warunkiem jest usunięcie wszystkich pakietów, które posiadają w nazwie siduction.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline tomangelo

  • Newbie
  • *
  • Wiadomości: 20
Odp: LXDE blokuje aktualizacje
« Odpowiedź #4 dnia: Luty 08, 2015, 04:31:59 pm »
Działa, dzięki wielkie.
Swoją drogą, nie było żadnych pakietów siduction.